Bug 213917 - g95 crashes compiling a quantum chemistry program
g95 crashes compiling a quantum chemistry program
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-03 14:06 EST by Gerardo González Aguilar
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.1.1-30
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-06 06:31:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
file containinfg the error (44.32 KB, application/octet-stream)
2006-11-03 14:06 EST, Gerardo González Aguilar
no flags Details

  None (edit)
Description Gerardo González Aguilar 2006-11-03 14:06:30 EST
Description of problem:

compiling the espresso package, URL: http:/www.pwscf.org
(using g95 through gcc)

when trying to compile the constraints_module.F90 file  the following error appears:
cpp -P -traditional -D__LINUX -D__FFTW -D__USE_INTERNAL_FFTW -I../include 
constraints_module.f90 -o constraints_module.F90
gfortran -O -D__LINUX -D__FFTW -D__USE_INTERNAL_FFTW -I../include  -I.
-I../Modules -I../PW -I../PH -I../iotk/src -I../CPV -c constraints_module.F90 -o
constraints_module.o
constraints_module.F90: In function ‘set_structure_factor’:
constraints_module.F90:312: internal compiler error: in find_lattice_value, at
tree-complex.c:133
the same happens when using the precompiled g95 binaries from the g95 site.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. download the espresso package (http:/www.pwscf.org)
2.  ./configure
3. make all
  
Actual results:
compilation broken

Expected results:
clean compilation

Additional info:
Comment 1 Gerardo González Aguilar 2006-11-03 14:06:38 EST
Created attachment 140303 [details]
file containinfg the error
Comment 2 Jakub Jelinek 2006-11-06 06:31:51 EST
Works just fine with gcc-gfortran-4.1.1-30.

Note You need to log in before you can comment on or make changes to this bug.